package com.futu.course.sku.controller;

import com.futu.course.commons.utils.SnowflakeIdWorker;
import com.futu.course.commons.vo.AppHttpCodeEnum;
import com.futu.course.commons.vo.ResponseResult;
import com.futu.course.sku.domain.Sku;
import com.futu.course.sku.service.SkuService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Date;

@RestController
@RequestMapping("sku")
public class SkuController {


    @Autowired
    private SkuService service;


    @PostMapping("addSku")
    public ResponseResult addSku(@RequestBody Sku sku)
    {
        SnowflakeIdWorker worker=new SnowflakeIdWorker(1,1);
        sku.setId(worker.nextId());
        sku.setCreateBy(new Date());
        boolean b = service.save(sku);
        return b?ResponseResult.okResult(sku):ResponseResult.errorResult(AppHttpCodeEnum.PARAM_INVALID);
    }
}
