package com.futu.course.user.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.futu.course.commons.utils.TokenUtils;
import com.futu.course.commons.vo.AppHttpCodeEnum;
import com.futu.course.commons.vo.ResponseResult;
import com.futu.course.user.domain.UserLogin;
import com.futu.course.user.dto.LoginDto;
import com.futu.course.user.service.UserLoginService;
import com.futu.course.user.mapper.UserLoginMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.stereotype.Service;

import java.util.concurrent.TimeUnit;

/**
* @author yuu
* @description 针对表【user_login】的数据库操作Service实现
* @createDate 2025-05-10 10:02:39
*/
@Service
public class UserLoginServiceImpl extends ServiceImpl<UserLoginMapper, UserLogin>
    implements UserLoginService{

    @Autowired
    private UserLoginMapper mapper;

    @Autowired
    private RedisTemplate redisTemplate;
    @Override
    public ResponseResult login(LoginDto dto) {

        System.out.println(dto);
        UserLogin login = mapper.selectOne(new LambdaQueryWrapper<UserLogin>().eq(UserLogin::getUsername, dto.getUsername()).eq(UserLogin::getPassword, dto.getPassword()));
        if (login!=null)
        {
            String token = TokenUtils.createJwtToken(login.getId().toString());
            redisTemplate.opsForValue().set("user",token,1, TimeUnit.DAYS);
            return ResponseResult.okResult(token);
        }else {
            return ResponseResult.errorResult(AppHttpCodeEnum.LOGIN_PASSWORD_ERROR);
        }
    }
}




